//===-- temu-c/Init.h - T-EMU Library Initialisation  -----------*- C++ -*-===//
//
// T-EMU: The Terma Emulator
// (c) Terma 2015
// Authors: Mattias Holm <maho (at) terma.com>
//
//===----------------------------------------------------------------------===//

#ifndef TEMU_SUPPORT_INIT
#define TEMU_SUPPORT_INIT

#ifdef __cplusplus
extern "C" {
#endif

/*!
 * Initialisation of T-EMU support library.
 *
 * Call this function before any other use of T-EMU. The function does
 * not return failures, but halts on failed initialisation.
 *
 * The function should be called as early as possible in the
 * application's execution. Preferably in the main function (though
 * there is no strict requirement for this).
 *
 * The initialisation function is at present not thread safe, call it
 * in the main thread only!
 */
void temu_initSupportLib(void);

#ifdef __cplusplus
}
#endif

#endif /* !TEMU_SUPPORT_INIT */
